package com.dragon.tj.portal.auth.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_user")
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "idcard")
    private String idcard;

    private String name;

    private String policeNumber;

    private String orgCode;

    private String orgName;

    private String userType;

    private String deleted;

    private String updateTime;

    @TableField("`rank`")
    private String rank;

    private String title;

    private String manType;

    private String policeCategory;

    private String policeBusiness;

    private String sex;

    private String birth;

    private String nation;

    private String address;

    private String phone;

    private String mobileWork;

    private String mobilePrivate;

    private String qqAccount;

    private String email;

    private String wxAccount;

    private String postType;

    private String jobType;


}
