package com.dragon.tj.portal.common.vo.log;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author huey China.
 * @Description : 日志
 * @Date Created in 2023/8/11 10:36
 */
@ToString
@Getter
@Setter
public class LogPageParam extends Page {

    /**
     * 姓名,身份证好,操作类型,功能模块,操作时间
     */
    private String userName;
    private String idCard;
    /**
     * 部门名称 模糊或code 下拉
     */
    private String orgCode;
    private String orgName;
    /**
     * 功能模块
     */
    private String moduleType;
    /**
     * 操作类型
     */
    private String title;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatTimeStart;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatTimeEnd;



}
