package com.dragon.tj.portal.component.exception.message;

import com.dragon.tj.portal.common.constants.CommonConstants;
import com.dragon.tj.portal.component.exception.base.FrameAbstractException;
import com.dragon.tj.portal.component.exception.base.ResultError;

/**
 * @author huey China.
 * @Description : 信息相关异常
 * @Date Created in 2023/6/16 11:30
 */
public class MessageInfoException extends FrameAbstractException {
    public MessageInfoException(ResultError resultError) {
        super(resultError);
    }

    @Override
    public String setSystemCode() {
        return CommonConstants.sysCode;
    }
}
