package com.dragon.tj.portal.component.message;

import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author huey China.
 * @Description : 初始化
 * @Date Created in 2023/6/15 15:43
 */
@Component
public class SseEmitterBean {

    /**
     * 在这里存储特定客户端的SseEmitter对象
     */
    @Bean(name = "sseEmitters")
    public Map<String, OpenApiSseEmitter> sseEmitters() {
        return new ConcurrentHashMap<>();
    }
}
