package com.dragon.tj.portal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.common.vo.log.LogPageParam;
import com.dragon.tj.portal.entity.SysLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 日志表 Mapper 接口
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
@Mapper
public interface SysLogMapper extends BaseMapper<SysLog> {

    IPage queryPage(Page page, @Param("req") LogPageParam req);
}
